#ifndef _LOGGER_H_
#define _LOGGER_H_

#include <stdio.h>
#include <time.h>
#include <stdarg.h>

#define log_error(...) _logger(LOG_LEVEL_ERROR, __FILE__, __LINE__,  __VA_ARGS__)
#define log_warning(...) _logger(LOG_LEVEL_WARNING, __FILE__, __LINE__,__VA_ARGS__)
#define log_info(...) _logger(LOG_LEVEL_INFO, __FILE__, __LINE__,  __VA_ARGS__)
#define log_debug(...) _logger(LOG_LEVEL_DEBUG, __FILE__, __LINE__,  __VA_ARGS__)

enum {
	LOG_LEVEL_ERROR,
	LOG_LEVEL_WARNING,
	LOG_LEVEL_INFO,
	LOG_LEVEL_DEBUG
} LOG_LEVEL;

void _logger(int level, char *file, int line, char *format, ...);

#endif
